
%define oname	mozvoikko
%define name	firefox-ext-mozvoikko
%define version	0.9.5
%define subrel	10
%define rel	4

%define firefox_ver %(rpm -q --whatprovides mozilla-firefox --queryformat %{VERSION})
%define firefox_epoch %(rpm -q --whatprovides mozilla-firefox --queryformat %{EPOCH})

Summary:	Finnish spell-checking extension for Firefox 3
Name:		%name
Version:	%version
Release:	%mkrel %rel
License:	GPLv2+
Group:		Networking/WWW
URL:		http://voikko.sourceforge.net/
Source:		%oname-%version.tar.gz
Patch0:		mozvoikko-0.9.5-add-inc.patch
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	voikko-devel
BuildRequires:	xulrunner-devel
BuildRequires:	mozilla-firefox
# No automatic dependency on libvoikko.so.1 because it is dlopened:
Requires:	%{_lib}voikko1 >= 1.7
Requires:	firefox = %{firefox_epoch}:%{firefox_ver}
Requires:	voikko-fi
Requires:	locales-fi

%description
Finnish spell-checking extension for Firefox 3 web browser. The
spell-checking is provided by the Voikko library.

%prep
%setup -q -n %oname-%version
%patch0 -p0

%build

%make -f Makefile.xulrunner extension-files \
	CFLAGS="%optflags"

%install
rm -rf %{buildroot}

%make -f Makefile.xulrunner install-unpacked \
	DESTDIR=%{buildroot}%{_libdir}/firefox-%{firefox_ver}/extensions

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog
%{_libdir}/firefox-%{firefox_ver}/extensions/{*-*}



%changelog
* Sat Sep 19 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-4.10mdv2009.0
- rebuilt for firefox-3.0.14

* Fri Aug 07 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.9.5-4.9mdv2009.0
rebuild for new firefox

* Wed Jul 29 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.9.5-4.8mdv2009.0
- build for updates

* Mon Jun 15 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.9.5-4.7mdv2009.0
- build for updates

* Thu May 07 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.9.5-4.6mdv2009.0
- rebuild for new firefox-3.0.10/xulrunner-1.9.0.10

* Tue Mar 31 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.9.5-4.5mdv2009.0
- build for firefox 3.0.8 update

* Thu Mar 12 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-4.4mdv2009.0
- rebuilt for firefox 3.0.7 update

* Fri Feb 13 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.9.5-4.3mdv2009.0
- build for firefox 3.0.6 update

* Wed Dec 17 2008 Vincent Danen <vdanen@mandriva.com> 0.9.5-4.2mdv2009.0
- rebuild for firefox 3.0.5 update

* Fri Nov 14 2008 Gustavo De Nardin <gustavodn@mandriva.com> 0.9.5-4.1mdv2009.0
- rebuild for firefox 3.0.4 update

* Mon Sep 29 2008 Funda Wang <fundawang@mandriva.org> 0.9.5-4mdv2009.0
+ Revision: 289186
- rebuild for new FF

* Sat Sep 27 2008 Anssi Hannula <anssi@mandriva.org> 0.9.5-3mdv2009.0
+ Revision: 288949
- rebuild for new firefox

* Wed Aug 20 2008 Funda Wang <fundawang@mandriva.org> 0.9.5-2mdv2009.0
+ Revision: 274319
- add inc dir
- rebuild for new xulrunner

* Wed Jun 18 2008 Anssi Hannula <anssi@mandriva.org> 0.9.5-1mdv2009.0
+ Revision: 226061
- initial Mandriva release

